REM ============================================================
REM FILE: Build.bat
REM DESC: This File will Build the Applet
REM ============================================================

REM ------------------------------------------------------------
REM SET environment variables.
REM ------------------------------------------------------------

SET CLASSPATH=

REM ------------------------------------------------------------
REM CREATE CLASS Directories
REM ------------------------------------------------------------

MKDIR cmn
MKDIR gui
MKDIR math
MKDIR plot
MKDIR util

MKDIR iqstrat
MKDIR iqstrat\io

MKDIR psi
MKDIR psi\gui
MKDIR psi\io
MKDIR psi\math

MKDIR quake
MKDIR quake\gui
MKDIR quake\io

MKDIR seismic
MKDIR seismic\gui
MKDIR seismic\io
MKDIR seismic\math
MKDIR seismic\plot

MKDIR edu

MKDIR edu\iris
MKDIR edu\iris\dmc
MKDIR edu\iris\dmc\seedcodec

MKDIR edu\iris\dmc\timeseries
MKDIR edu\iris\dmc\timeseries\model

MKDIR edu\sc
MKDIR edu\sc\seis
MKDIR edu\sc\seis\seisFile
MKDIR edu\sc\seis\seisFile\mseed

REM ------------------------------------------------------------
REM COPY the Source Code to the CLASS Directories
REM ------------------------------------------------------------

COPY src\*.java .

COPY src\cmn\*.java cmn
COPY src\gui\*.java gui
COPY src\math\*.java math
COPY src\plot\*.java plot
COPY src\util\*.java util

COPY src\iqstrat\*.java iqstrat
COPY src\iqstrat\io\*.java iqstrat\io

COPY src\psi\*.java psi
COPY src\psi\gui\*.java psi\gui
COPY src\psi\io\*.java psi\io
COPY src\psi\math\*.java psi\math

COPY src\quake\*.java quake
COPY src\quake\gui\*.java quake\gui
COPY src\quake\io\*.java quake\io

COPY src\seismic\*.java seismic
COPY src\seismic\gui\*.java seismic\gui
COPY src\seismic\io\*.java seismic\io
COPY src\seismic\math\*.java seismic\math
COPY src\seismic\plot\*.java seismic\plot

COPY src\edu\iris\dmc\seedcodec\*.java edu\iris\dmc\seedcodec
COPY src\edu\iris\dmc\timeseries\model\*.java edu\iris\dmc\timeseries\model

COPY src\edu\sc\seis\seisFile\*.java edu\sc\seis\seisFile
COPY src\edu\sc\seis\seisFile\mseed\*.java edu\sc\seis\seisFile\mseed

REM ------------------------------------------------------------
REM COMPILE 
REM ------------------------------------------------------------

C:\jdk1.7.0_25\bin\javac -Xlint:deprecation PSI_Seismic.java

REM ------------------------------------------------------------
REM REMOVE Source Code from the CLASS Directories
REM ------------------------------------------------------------

DEL *.java

DEL cmn\*.java
DEL gui\*.java
DEL math\*.java
DEL plot\*.java
DEL util\*.java

DEL iqstrat\*.java
DEL iqstrat\io\*.java

DEL psi\*.java
DEL psi\gui\*.java
DEL psi\io\*.java
DEL psi\math\*.java

DEL quake\*.java
DEL quake\gui\*.java
DEL quake\io\*.java

DEL seismic\*.java
DEL seismic\gui\*.java
DEL seismic\io\*.java
DEL seismic\math\*.java
DEL seismic\plot\*.java

DEL edu\iris\dmc\seedcodec\*.java
DEL edu\iris\dmc\timeseries\model\*.java

DEL edu\sc\seis\seisFile\*.java
DEL edu\sc\seis\seisFile\mseed\*.java

REM ------------------------------------------------------------
REM BUILD JAR File for the LAS Plot
REM ------------------------------------------------------------

DEL PSI_Seismic.txt

C:\jdk1.7.0_25\bin\jar cvfm PSI_Seismic.jar Manifest.txt *.class cmn gui math plot util iqstrat psi quake seismic edu images
C:\jdk1.7.0_25\bin\jar tvf PSI_Seismic.jar > PSI_Seismic.txt

MOVE PSI_Seismic.jar lib

REM ------------------------------------------------------------
REM CLEAN UP
REM ------------------------------------------------------------

DEL cmn /q
DEL gui /q
DEL math /q
DEL plot /q
DEL util /q

DEL iqstrat /q
DEL iqstrat\io /q

DEL psi /q
DEL psi\gui /q
DEL psi\io /q
DEL psi\math /q

DEL quake /q
DEL quake\gui /q
DEL quake\io /q

DEL seismic /q
DEL seismic\gui /q
DEL seismic\io /q
DEL seismic\math /q
DEL seismic\plot /q

DEL edu\iris\dmc\seedcodec /q
DEL edu\iris\dmc\timeseries\model /q

DEL edu\sc\seis\seisFile\mseed /q
DEL edu\sc\seis\seisFile /q

RMDIR cmn
RMDIR gui
RMDIR math
RMDIR plot
RMDIR util

RMDIR iqstrat\io
RMDIR iqstrat

RMDIR psi\gui
RMDIR psi\io
RMDIR psi\math
RMDIR psi 

RMDIR quake\gui
RMDIR quake\io
RMDIR quake 

RMDIR seismic\gui
RMDIR seismic\io
RMDIR seismic\math
RMDIR seismic\plot
RMDIR seismic 

RMDIR edu\iris\dmc\timeseries\model
RMDIR edu\iris\dmc\timeseries

RMDIR edu\iris\dmc\seedcodec
RMDIR edu\iris\dmc
RMDIR edu\iris

RMDIR edu\sc\seis\seisFile\mseed
RMDIR edu\sc\seis\seisFile
RMDIR edu\sc\seis
RMDIR edu\sc
RMDIR edu

DEL *.class



