/*
 * @cmnStruct.java Version 1.1 03/04/2015
 *
 * Copyright (c) 2015 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package cmn;

import java.net.*;
import java.awt.*;
import java.applet.*;

/** CLASS cmnStruct
 *  <p> This Class holds the global gui data structure data.
 *  @version 1.1 03/04/2015
 *  @author  John R. Victorine
 */

public class cmnStruct
{
  // Kansas Geological Survey Home Web Addresses

  public static final String KGS   = "http://www.kgs.ku.edu";
  public static final String CO2   = "http://www.kgs.ku.edu/PRS/Ozark/";
  public static final String STRAT = "http://www.kgs.ku.edu/stratigraphic/";

  // BASE DIRECTORY of IQSTRAT

  public static final String IQSTRAT_BASE = STRAT + "IQSTRAT/";

  /* ======================================================================= *
   * --------------------- Web Applications Mnemonics ---------------------- *
   * ======================================================================= */

  // BASE URL to the ABYSS PLSQL Stored procedure base path.

  public static final String PLSQL      = "http://chasm.kgs.ku.edu/ords/";
  public static final String PLSQL_USER = "http://chasm.kgs.ku.edu/ords/iqstrat.";

  /* ======================================================================= *
   * ------------------ ORACLE Stored Procedure Mnemonics ------------------ *
   * ======================================================================= */

  // Retrieve the active seismic sensors used in the miniSeed files to show
  // earth quake events.

  public static final String GET_SENSORS =
    "http://chasm.kgs.ku.edu/ords/iqstrat.co2_miniseed_pkg.getXML";

  // Retrieve the Well Header Information for the Wellington KGS 1-28.  This is the
  // location of the Pressure Sensor.

  public static final String GET_1_28 =
    "http://chasm.kgs.ku.edu/ords/iqstrat.kgs_well_headers_pkg.getXML?sAPI=15-191-22590";

  // Seismic Events Catalog recored by the 15 CO2 Seismic Sensors

  public static final String EVENTS =
    "http://chasm.kgs.ku.edu/ords/iqstrat.co2_events_pkg.getXML";

  // Pressure directories & filenames

  public static final String PRESSURE_FILES =
    "http://chasm.kgs.ku.edu/ords/iqstrat.co2_pressure_files_pkg.getXML";

  // Miniseed directories, year & day of year and dates

  public static final String MINISEED_FILES =
    "http://chasm.kgs.ku.edu/ords/iqstrat.co2_miniseed_files_pkg.getXML";

  /* ======================================================================= *
   * ---------- Pressure File & Seismic File Directories Mnemonics --------- *
   * ======================================================================= */

  // Pressure Files Directory

  public static final String PRESSURE_DIR = "http://www.kgs.ku.edu/PRS/Ozark/Pressure_Data/2016/";

  // Seismic Data Files Directory

  public static final String SEISMIC_DIR = "http://www.kgs.ku.edu/PRS/Ozark/Seismic_Data/2016/";

  /* ======================================================================= *
   * ---------------------------- KGS Logo Icon ---------------------------- *
   * ======================================================================= */

  public static final String ICON  = "images/kgsSm.png";
  public static final String ICON2 = "images/kgsSm2.png";

  /* ======================================================================= *
   * ----------------------------- Image Icons ----------------------------- *
   * ======================================================================= */

  public static final String SEISMIC_APP = "/images/waves.png";
  public static final String WAVE_ICON   = "/images/wave_icon.png";
  public static final String PSI_ICON    = "/images/psi_icon.png";

  /* ======================================================================= *
   * --------------------------- Global Variables -------------------------- *
   * ======================================================================= */

  public int           iServerUsed;     // Server that will be used.
  public boolean       bStandalone;     // Application is Stand alone
  public URL           urlDirCodeBase;  // Base URL of Applet.
  public AppletContext appletContext;   // Applet Context
  public String        sPath;           // Path to retrieve data from JAR File
  public String        sImagePath;      // Path to retrieve images from JAR File
  public String        sGEMINI;         // Path to the GEMINI Data Directory work space
  public ClassLoader   cl;
  public Image         pIcon  = null;
  public Image         pIcon2 = null;
}

/*
 *  @version 1.1 03/04/2015
 *  @author  John Victorine
 */
