/*
 * @iqstratFilesStruct.java Version 1.0 12/12/2007
 *
 * Copyright (c) 2007 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package iqstrat;

import java.sql.Timestamp;

/** CLASS iqstratFilesStruct
 *  <p> This Structure holds the File Information for a single File.
 *
 *  @version 1.1 12/12/2007
 *  @author  John R. Victorine
 */

public class iqstratFilesStruct
{
  public String    sKEY      = "0";  // Primary Key of File Record
  public String    sUser     = "0";  // Primary Key of User
  public String    sHeader   = "0";  // Primary Key for User Headers Data

  public int       iYear     = 0;    // Year of Data
  public int       iDay      = 0;    // Day of the Year for the Data

  public String    sType     = "";   // Type of Data, i.e. LAS, LITHOLOGY, etc.
  public String    sFile     = "";   // Type of File, i.e. XML, CSV, etc.

  public String    sURL      = "";   // Base URL Path to File
  public String    sPath     = "";   // Directory Path to File
  public String    sFilename = "";   // Filename of File

  public int       iUTC_hrs  = 0;    // Conversion from Central to UTC

  public Timestamp tsStart   = null; // Starting Timestamp
  public Timestamp tsEnd     = null; // Ending Timestamp

  public int       wk01      = -1;   // Sensor 1
  public int       wk02      = -1;   // Sensor 2
  public int       wk03      = -1;   // Sensor 3
  public int       wk04      = -1;   // Sensor 4
  public int       wk05      = -1;   // Sensor 5
  public int       wk06      = -1;   // Sensor 6
  public int       wk07      = -1;   // Sensor 7
  public int       wk08      = -1;   // Sensor 8
  public int       wk09      = -1;   // Sensor 9
  public int       wk10      = -1;   // Sensor 10
  public int       wk11      = -1;   // Sensor 11
  public int       wk12      = -1;   // Sensor 12
  public int       wk13      = -1;   // Sensor 13
  public int       wk14      = -1;   // Sensor 14
  public int       wk15      = -1;   // Sensor 15

  /** Method delete()
   * <p> This method will set the string variable to null and initialize all the
   *     other variables.
   */

  public void delete()
  {
    sKEY      = null; // Primary Key of File Record
    sUser     = null; // Primary Key of User
    sHeader   = null; // Primary Key for User Headers Data

    sType     = null; // Type of Data, i.e. LAS, LITHOLOGY, etc.
    sFile     = null; // Type of File, i.e. XML, CSV, etc.

    sURL      = null; // Base URL Path to File
    sPath     = null; // Directory Path to File
    sFilename = null; // Filename of File

    tsStart   = null; // Starting Timestamp
    tsEnd     = null; // Ending Timestamp
  }
}
