/*
 * @quakeDataListStruct.java Version 1.1 08/03/2015
 *
 * Copyright (c) 2015 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package quake;

import quake.quakeDataStruct;

/** CLASS quakeDataListStruct
 *  <p> This Structure holds a list of quake sensor data structures.
 *
 *  @version 1.1 08/03/2015
 *  @author  John R. Victorine
 */

public class quakeDataListStruct
{
  public int            iCount   = 0;    // Total Number of Records
  public quakeDataStruct stItem[] = null; // Array of File Structures

  /** Method delete()
   * <p> This method will set the string variable to null and initialize all the
   *     other variables.
   */

  public void delete()
  {
    if (iCount > 0)
    {
      for (int i=0; i<iCount; i++)
      {
        if (stItem[i] != null)
          stItem[i].delete();
      }
    }

    iCount = 0;
    stItem = null;
  }
}

/*
 *  @version 1.1 08/03/2015
 *  @author  John Victorine
 */
