/*
 * @seisStruct.java Version 1.1 03/03/2015
 *
 * Copyright (c) 2015 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package seismic;

import java.sql.Timestamp;

/** Class seisStruct
 *  <p> This Class holds the information that was parsed from the miniSeed
 *      file using the IRIS (Incorporated Research Institutions
 *      for Seismology) source code.
 *
 *  @version 1.1 03/03/2015
 *  @author  John R. Victorine
 */

public class seisStruct
{
  public String network  = new String(""); // Network Code
  public String station  = new String(""); // Station Identifier
  public String location = new String(""); // Location Identifier
  public String channel  = new String(""); // Channel Identifier

  public String sData    = new String(""); // Type of Filter
  public String sData2   = new String(""); // Specifics of Filtering
  public String sData3   = new String(""); // 3rd level

  public Timestamp tsStart = null; // Starting Timestamp
  public Timestamp tsEnd   = null; // Ending Timestamp

  public double    dMaximum = 0.0; // Maximum Data Value
  public double    dMinimum = 0.0; // Minimum Data Value

  // Seismic Records

  public int       iRows   = 0;    // Total Number of rows
  public Timestamp ts[]    = null; // Time Stamp of data record
  public double    data[]  = null; // Data record

  /** Method delete()
   *  <p> This method deallocates the data to force Java to release memory
   *      allocated for the data
   */

  public void delete()
  {
    network   = null; // Network Code
    station   = null; // Station Identifier
    location  = null; // Location Identifier
    channel   = null; // Channel Identifier

    sData     = null; // Type of Filter
    sData2    = null; // Specifics of Filtering
    sData3    = null; // 3rd level

    tsStart   = null; // Starting Timestamp
    tsEnd     = null; // Ending Timestamp

    // Seismic Records

    iRows     = 0;    // Total Number of rows
    ts        = null; // Time Stamp of data record
    data      = null; // Data record
  }
}

/*
 *  @version 1.1 03/03/2015
 *  @author  John Victorine
 */
